Skip to main content
Assert a relationship against its reviewed state

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Encoding
enum<string>
Available options:
base64,
gzip, base64

Path Parameters

artifact_kind
string
required
artifact_id
string
required

Body

application/json
expected_edge
object
required
relationship
object
required
source_etag
string
required
source_version_id
string
required

Response

HTTP 201 response.

declared
boolean
required
direction
string
required
etag
string
required
provenance
string
required
rel_type
string
required
relationship_status
string
required
attributes
object | null
confidence
number<double> | null
from
object | null
label
string | null
role
string | null
to
object | null
weight
number<double> | null